<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit;
$activated=Typecho_Plugin::export()['activated'];
?>


<div class="relative z-50" aria-labelledby="modal-title" role="dialog" aria-modal="true" aria-label="dialog">
    <div id="tczhezhao" class="fixed inset-0 transition-opacity bg-gray-600 bg-opacity-50 backdrop-blur-sm" x-cloak
        x-show="search||shang||share||login||register"></div>
    <div class="fixed inset-x-2 sm:inset-x-0 z-50 overflow-hidden overflow-y-auto rounded-lg top-[15vh] sm:top-[20vh] flex justify-center" x-cloak x-show="search||shang||share||login||register">
        <div x-cloak x-transition x-show="shang" @click.outside="shang=false">
            <div class="bg-white dark:bg-gray-800 rounded-lg p-5">
                <div class="text-center mb-1.5 dark:text-gray-200">微信打赏</div>
                <img src="<?php if($this->options->dashang){$this->options->dashang();}else{$this->options->themeUrl('img/wx.png');} ?>"
                    alt="打赏" class="w-48 h-48 rounded-lg">
            </div>
        </div>
        <div x-cloak x-transition x-show="share" @click.outside="share=false">

            <?php if($this->is('post')||$this->is('page')): ?>
            <div class="bg-white dark:bg-gray-800 rounded-lg">
                <div class="dark:text-gray-200 border-b pb-1.5 px-5 pt-5">分享到...</div>
                <div class="p-5 flex">
                    <div class="mr-3">
                        <img src="" alt="打赏" class="postQrcode w-36 h-36 rounded-lg">
                    </div>
                    <div class="flex flex-col py-3 justify-start dark:text-gray-200">
                        <a href="https://service.weibo.com/share/share.php?url=<?php $this->permalink() ?>&title=<?php $this->title() ?>&appkey=&pic=<?php  showThumbnail($this); ?>&searchPic=true"
                            class="hover:text-blue-600 mb-1.5" target="_blank">分享到微博</a>
                        <a href="https://twitter.com/intent/tweet?url=<?php $this->permalink() ?>&text=嘿，我发现了一篇宝藏文章「<?php $this->title() ?>」，快来看看吧！&via="
                            class="hover:text-blue-600 mb-1.5" target="_blank">分享到Twitter</a>
                        <a href="https://telegram.me/share/url?url=<?php $this->permalink() ?>&text=嘿，我发现了一篇宝藏文章「<?php $this->title() ?>」，快来看看吧！"
                            class="hover:text-blue-600 mb-1.5" target="_blank">分享到Telegram</a>
                        <button class="copybtn text-left" data-clipboard-action="copy" data-clipboard-text="<?php echo $this->title."\n";?><?php subtitle($this,"\n") ?><?php $this->permalink(); ?>">复制文章链接</button>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <div x-cloak x-transition x-show="search" @click.outside="search=false" class="w-[28rem] max-w-full">
            <div class="relative overflow-hidden transition-all rounded-lg">
                <form class="search-form" method="post" action="<?php $this->options->siteUrl(); ?>" role="search">
                    <div class="relative flex items-center">
                        <span class="absolute text-gray-400 left-3"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="m21 21-5.197-5.197m0 0A7.5 7.5 0 1 0 5.196 5.196a7.5 7.5 0 0 0 10.607 10.607Z" />
</svg></span>
                        <input type="text" name="s" x-model="$store.info.search" placeholder="Search..." class="w-full dark:text-white dark:bg-gray-900 py-4 pl-10 pr-4 text-blue-950 placeholder-gray-400/70" required>
                    </div>
                </form>
            </div>
        </div>
        <div x-cloak x-transition x-show="login" @click.outside="login=false" class="relative overflow-hidden transition-all rounded-lg">
            <div class="w-96 max-w-full mx-auto">
                <div class="bg-white dark:bg-gray-800 rounded-lg p-8 mx-4">
                <form id="login" method="post" name="login"
                    rold="form">
                    <input type="hidden" name="referer" value="<?php $this->options->siteUrl(); ?>">
                    <div>
                        <label for="name" class="block mb-2 text-sm text-gray-600 dark:text-gray-200">用户名</label>
                        <input type="text" name="name" id="name" placeholder="请输入用户名" autocomplete="name"
                            class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md">
                    </div>

                    <div class="mt-6">
                        <div class="flex justify-between mb-2">
                            <label for="password" class="text-sm text-gray-600 dark:text-gray-200">密码</label>
                        </div>
                        <input type="password" name="password" id="password" placeholder="请输入密码" autocomplete="off"
                            class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md">
                    </div>

                    <div class="mt-6">
                        <button id="loginbtn" type="submit"
                            class="w-full px-4 py-2 tracking-wide text-white transition-colors duration-200 transform bg-indigo-500 rounded-md hover:bg-indigo-400">
                            登录
                        </button>
                    </div>
                </form>
                
                <?php if(array_key_exists('Passkey', $activated)): ?>
                <div class="mt-6">
                <button class="w-full text-center px-4 py-2 tracking-wide text-white transition-colors duration-200 transform bg-teal-600 rounded-md hover:bg-teal-500" onclick="if(!navigator.credentials) {alert('您的设备或浏览器可能不支持Passkey功能');}else{validate.a()}">使用通行密钥登录</button>
                <?php $this->passkeybtn();?>
                </div>
                <?php endif; ?>
                
                <?php if(Helper::options()->allowRegister): ?>
                <p class="text-xs text-gray-900 dark:text-white mt-5">没有账号？<button @click="login=false;setTimeout(function() {register=true;}, 200);" class="text-red-400" >注册账号</button></p>
                <?php endif; ?>
                </div>
            </div>
        </div>

<template x-if="$store.user.register">
        <div x-cloak x-transition x-show="register" @click.outside="register=false" class="relative overflow-hidden transition-all rounded-lg" x-init="main.register()">
            <div class="w-96 max-w-full mx-auto">
                <div class="bg-white dark:bg-gray-800 rounded-lg p-8 mx-4">
                <form id="register" method="post" name="register"
                    rold="form">
                    <input type="hidden" name="referer" value="<?php $this->options->siteUrl(); ?>">
            <h2 class="text-gray-900 dark:text-white text-lg font-medium title-font mb-5">注册账号 ✨</h2>
            <div class="relative mb-4">
                <label for="username" class="leading-7 text-sm text-gray-600 dark:text-gray-200">用户名</label>
                <input type="text" id="username" name="name" placeholder="请输入用户名" autocomplete="off"
                    class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md" required>
            </div>
            <div class="relative mb-4">
                <label for="email" class="leading-7 text-sm text-gray-600 dark:text-gray-200">邮箱</label>
                <input type="email" id="email" name="mail" placeholder="请输入邮箱" autocomplete="off"
                    class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md" required>
            </div>
            <div class="relative mb-4">
                <label for="xpassword" class="leading-7 text-sm text-gray-600 dark:text-gray-200">密码</label>
                <input type="password" id="xpassword" name="password" placeholder="请输入密码" autocomplete="off"
                    class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md" required>
            </div>
            <div class="relative mb-4">
                <label for="confirm-password" class="leading-7 text-sm text-gray-600 dark:text-gray-200">确认密码</label>
                <input type="password" id="confirm-password" name="confirm" placeholder="请确认密码" autocomplete="off"
                    class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md" required>
            </div>
            <?php if(array_key_exists('InvitationCode', $activated)): ?>
            <div class="relative mb-3">
                <label for="code_cxa" class="leading-7 text-sm text-gray-600 dark:text-gray-200">邀请码</label>
                <input id="code_cxa" name="code_cxa" placeholder="邀请码" autocomplete="off"
                    class="text-black w-full px-3 py-2 bg-gray-200 placeholder-gray-500 dark:bg-gray-700 dark:text-white rounded-md" required>
            </div>
            <?php endif;?>
            <div>
            <button id="registerbtn" type="submit"
                            class="w-full px-4 py-2 tracking-wide text-white transition-colors duration-200 transform bg-indigo-500 rounded-md hover:bg-indigo-400">确认注册</button>
                </div>
            <p class="text-xs text-gray-900 dark:text-white mt-5">已有账号？<button @click="register=false;setTimeout(function() {login=true;}, 200);" class="text-red-400" >登录账号</button></p>
                </form>
                </div>
            </div>
        </div>
</template>






    </div>
</div>

<div x-cloak x-show="$store.info.Error||$store.info.Success" class="z-50 fixed inset-x-0 lg:inset-x-auto top-6 lg:right-8 xl:right-10 xl:bottom-8 rtl:lg:left-8 rtl:lg:right-auto rtl:xl:left-10 rtl:xl:right-auto">

<div x-show="$store.info.Error"  x-transition:enter="transition ease-out duration-300 transform"
    x-transition:enter-start="translate-x-20 opacity-0" x-transition:enter-end="translate-x-0 opacity-100"
    x-transition:leave="transition ease-in duration-200 transform" x-transition:leave-start="translate-x-0 opacity-100"
    x-transition:leave-end="translate-x-20 opacity-0">
    <div class="px-6 lg:w-96 lg:px-0">
        <div class="p-2 bg-red-500 rounded-lg shadow-lg sm:p-3">
            <div class="flex items-center justify-between text-white">
                <div class="flex items-center flex-1 w-0">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                    </svg>

                    <p class="mx-3 font-medium" x-text="$store.info.Error"></p>
                </div>

                <div class="flex-shrink-0 order-2 sm:order-3 sm:ml-2">
                    <button @click="$store.info.Error = ''" type="button"
                        class="flex p-2 -mr-1 rounded-md hover:bg-red-400 focus:outline-none focus:ring-2 focus:ring-white">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20" fill="currentColor">
                            <path fill-rule="evenodd"
                                d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                                clip-rule="evenodd"></path>
                        </svg>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<div x-show="$store.info.Success" x-transition:enter="transition ease-out duration-300 transform"
    x-transition:enter-start="translate-x-20 opacity-0" x-transition:enter-end="translate-x-0 opacity-100"
    x-transition:leave="transition ease-in duration-200 transform" x-transition:leave-start="translate-x-0 opacity-100"
    x-transition:leave-end="translate-x-20 opacity-0">
    <div class="px-6 lg:w-96 lg:px-0">
        <div class="p-2 bg-green-500 rounded-lg shadow-lg sm:p-3">
            <div class="flex items-center justify-between text-white">
                <div class="flex items-center flex-1 w-0">
                    <svg xmlns="http://www.w3.org/2000/svg" class="w-6 h-6" fill="none" viewBox="0 0 24 24"
                        stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z"></path>
                    </svg>

                    <p class="mx-3 font-medium" x-text="$store.info.Success">
                    </p>
                </div>

                <div class="flex-shrink-0 order-2 sm:order-3 sm:ml-2">
                    <button @click="$store.info.Success= ''" type="button"
                        class="flex p-2 -mr-1 rounded-md hover:bg-green-400 focus:outline-none focus:ring-2 focus:ring-white">
                        <svg xmlns="http://www.w3.org/2000/svg" class="w-4 h-4" viewBox="0 0 20 20" fill="currentColor">
                            <path fill-rule="evenodd"
                                d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z"
                                clip-rule="evenodd"></path>
                        </svg>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>


</div>



<div class="fixed z-40 flex flex-col -my-1.5 transform transition ease-out duration-150 bottom-6 right-4 md:bottom-8 md:right-8 text-lg">



<button class="group size-10 my-1.5 rounded-lg m-auto py-2 text-white bg-indigo-500 border border-transparent duration-300 transform hover:bg-indigo-700" aria-label="网页深浅模式切换" type="button"
                                            @click="isAppearanceTransition = document.startViewTransition && !window.matchMedia('(prefers-reduced-motion: reduce)').matches;if (!isAppearanceTransition) {dark=!dark;if(dark){document.cookie = 'dark=dark;path=/';}else{document.cookie = 'dark=light;path=/';}return;}x = event.clientX;y = event.clientY;endRadius = Math.hypot(Math.max(x, innerWidth - x),Math.max(y, innerHeight - y),);transition = document.startViewTransition(async () => {dark=!dark;if(dark){document.cookie = 'dark=dark;path=/';}else{document.cookie = 'dark=light;path=/';}});transition.ready.then(() => {clipPath = [`circle(0px at ${x}px ${y}px)`,`circle(${endRadius}px at ${x}px ${y}px)`,];document.documentElement.animate({clipPath: dark? [...clipPath].reverse(): clipPath,},{duration: 400,easing: 'ease-out',pseudoElement: dark ? '::view-transition-old(root)' : '::view-transition-new(root)',},);});"><svg
                                                aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                                                viewBox="0 0 24 24" fill="currentColor"
                                                class="size-6 m-auto hidden duration-300 dark:block group-hover:rotate-180">
                                                <path
                                                    d="M12 2.25a.75.75 0 01.75.75v2.25a.75.75 0 01-1.5 0V3a.75.75 0 01.75-.75zM7.5 12a4.5 4.5 0 119 0 4.5 4.5 0 01-9 0zM18.894 6.166a.75.75 0 00-1.06-1.06l-1.591 1.59a.75.75 0 101.06 1.061l1.591-1.59zM21.75 12a.75.75 0 01-.75.75h-2.25a.75.75 0 010-1.5H21a.75.75 0 01.75.75zM17.834 18.894a.75.75 0 001.06-1.06l-1.59-1.591a.75.75 0 10-1.061 1.06l1.59 1.591zM12 18a.75.75 0 01.75.75V21a.75.75 0 01-1.5 0v-2.25A.75.75 0 0112 18zM7.758 17.303a.75.75 0 00-1.061-1.06l-1.591 1.59a.75.75 0 001.06 1.061l1.591-1.59zM6 12a.75.75 0 01-.75.75H3a.75.75 0 010-1.5h2.25A.75.75 0 016 12zM6.697 7.757a.75.75 0 001.06-1.06l-1.59-1.591a.75.75 0 00-1.061 1.06l1.59 1.591z">
                                                </path>
                                            </svg><svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
                                                viewBox="0 0 24 24" fill="currentColor"
                                                class="size-6 m-auto duration-500 group-hover:rotate-[360deg] dark:hidden">
                                                <path fill-rule="evenodd"
                                                    d="M9.528 1.718a.75.75 0 01.162.819A8.97 8.97 0 009 6a9 9 0 009 9 8.97 8.97 0 003.463-.69.75.75 0 01.981.98 10.503 10.503 0 01-9.694 6.46c-5.799 0-10.5-4.701-10.5-10.5 0-4.368 2.667-8.112 6.46-9.694a.75.75 0 01.818.162z"
                                                    clip-rule="evenodd"></path>
                                            </svg></button>


<button id="widget-to-top" @click="main.top()" class="hidden size-10 my-1.5 rounded-lg py-2 text-white bg-indigo-500 border border-transparent duration-300 transform hover:bg-indigo-700" aria-label="返回顶部" title="返回顶部">
    <svg xmlns='http://www.w3.org/2000/svg' class="m-auto size-6 -rotate-45" viewBox='0 0 24 24'><g id="rocket_line" fill='none' fill-rule='nonzero'><path d='M24 0v24H0V0h24ZM12.593 23.258l-.011.002-.071.035-.02.004-.014-.004-.071-.035c-.01-.004-.019-.001-.024.005l-.004.01-.017.428.005.02.01.013.104.074.015.004.012-.004.104-.074.012-.016.004-.017-.017-.427c-.002-.01-.009-.017-.017-.018Zm.265-.113-.013.002-.185.093-.01.01-.003.011.018.43.005.012.008.007.201.093c.012.004.023 0 .029-.008l.004-.014-.034-.614c-.003-.012-.01-.02-.02-.022Zm-.715.002a.023.023 0 0 0-.027.006l-.006.014-.034.614c0 .012.007.02.017.024l.015-.002.201-.093.01-.008.004-.011.017-.43-.003-.012-.01-.01-.184-.092Z'/><path fill='currentColor' d='m18.42 2.797.386.056c.6.095 1.272.254 1.685.667.414.414.573 1.086.668 1.686l.056.385c.126.91.159 2.103-.056 3.427-.424 2.613-1.815 5.73-5.308 8.145a4.61 4.61 0 0 0-.017.537l.017.543c.01.362.004.723-.096 1.07-.19.66-.867 1.095-1.5 1.407l-.31.147-.4.176-.273.11c-.707.27-1.56.459-2.118-.1-.253-.253-.37-.597-.464-.941l-.046-.172c-.16-.607-.341-1.21-.567-1.794a3.04 3.04 0 0 1-.198.218c-.545.544-1.284.818-2.023 1.03l-.491.135-.49.13-.478.12-.432.1-.517.11-.323.063a1.009 1.009 0 0 1-1.177-1.177l.111-.551.129-.578.124-.51.225-.845c.223-.82.494-1.665 1.1-2.27l.099-.095-.763-.274-.767-.264c-.449-.148-.921-.304-1.247-.63-.596-.596-.343-1.526-.046-2.257l.166-.387.137-.301c.317-.674.767-1.45 1.483-1.656.347-.1.707-.106 1.07-.097l.543.018c.18.003.36 0 .537-.017 2.414-3.493 5.532-4.884 8.145-5.308a11.693 11.693 0 0 1 3.426-.056Zm-3.106 2.03c-2.198.357-4.869 1.534-6.953 4.669-.253.38-.68.561-1.115.63-.246.04-.494.05-.743.05l-.747-.011c-.124 0-.249 0-.373.006-.304.404-.516.884-.675 1.361l1.5.545.617.233c1.128.442 2.22.977 3.06 1.817 1.415 1.415 2.134 3.266 2.654 5.157.456-.16.914-.364 1.302-.655l.006-.373-.011-.746c0-.248.01-.496.05-.744.068-.435.25-.862.63-1.115 3.135-2.084 4.312-4.755 4.669-6.953.18-1.11.15-2.102.049-2.833a5.378 5.378 0 0 0-.193-.895 5.375 5.375 0 0 0-.895-.192 9.697 9.697 0 0 0-2.832.05ZM7.05 15.535c-.35.423-.513.978-.644 1.528l-.108.468-.055.226.694-.163c.55-.13 1.106-.295 1.528-.645a1 1 0 1 0-1.415-1.414Zm5.657-7.07a2 2 0 1 1 2.829 2.828 2 2 0 0 1-2.829-2.829Z'/></g></svg>
</button>
</div>


<?php if(!$this->is('search')&&$this->options->ad1): ?>
<div class="px-5 sm:px-12 w-full break-all container mt-4 mb-8 mx-auto<?php if(!empty(jsonconfig())&&jsonconfig()['container']=='1'){echo ' max-w-screen-xl';}  ?>">
<div class="flex overflow-hidden">

<div class="guanggaowei zhaomu flex-1 shadow rounded overflow-hidden">
<?php $this->options->ad1(); ?>
</div>  

</div></div>
<?php endif;?>

</div>

<footer class="bg-white dark:bg-black/30" :class="footer">
<?php 


$this->need('footer/footer'.footer.'.php'); ?>
    </div>
</footer>
</main>
</div>

<?php 
if($this->options->cdn){
$this->need('cdn/'.$this->options->cdn.'-foot.php');
}else{
$this->need('cdn/staticfile-foot.php');
} ?>
<script src="<?php $this->options->themeUrl('assets/OwO.min.js?2024'); ?>" data-no-instant></script>
<script src="<?php $this->options->themeUrl('cssjs/jr-qrcode.min.js'); ?>" data-no-instant></script>
<script src="<?php $this->options->themeUrl('main.js?202409'); ?>" data-no-instant></script>
<?php if(pjax):  ?>
<script src="<?php $this->options->themeUrl('instantclick.min.js?2024'); ?>" data-no-instant></script>
<script data-no-instant>
    InstantClick.on('change', function(isInitialLoad) {
        if (isInitialLoad === false) {
            if (typeof MathJax !== 'undefined') {
                MathJax.Hub.Queue(["Typeset", MathJax.Hub]);
            }
            if (typeof prettyPrint !== 'undefined') {
                prettyPrint();
            }
            if (typeof _hmt !== 'undefined') {
                _hmt.push(['_trackPageview', location.pathname + location.search]);
            }
            if (typeof ga !== 'undefined') {
                ga('send', 'pageview', location.pathname + location.search);
            }
            main.alpine();
            main.all();
        }
    });
    InstantClick.init('mousedown','#main');
</script>
<?php endif; ?>

<?php $this->options->diyjs(); ?>
<?php $this->footer(); ?>
<!--cache tag--></body>

</html>